"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _SqlParameterSets_1 = require("./_SqlParameterSets");
exports.BatchExecuteStatementInput = {
    type: "structure",
    required: ["resourceArn", "secretArn", "sql"],
    members: {
        database: {
            shape: {
                type: "string"
            }
        },
        parameterSets: {
            shape: _SqlParameterSets_1._SqlParameterSets
        },
        resourceArn: {
            shape: {
                type: "string"
            }
        },
        schema: {
            shape: {
                type: "string"
            }
        },
        secretArn: {
            shape: {
                type: "string"
            }
        },
        sql: {
            shape: {
                type: "string"
            }
        },
        transactionId: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=BatchExecuteStatementInput.js.map