"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _Metadata_1 = require("./_Metadata");
const _FieldList_1 = require("./_FieldList");
const _SqlRecords_1 = require("./_SqlRecords");
exports.ExecuteStatementOutput = {
    type: "structure",
    required: [],
    members: {
        columnMetadata: {
            shape: _Metadata_1._Metadata
        },
        generatedFields: {
            shape: _FieldList_1._FieldList
        },
        numberOfRecordsUpdated: {
            shape: {
                type: "integer"
            }
        },
        records: {
            shape: _SqlRecords_1._SqlRecords
        }
    }
};
//# sourceMappingURL=ExecuteStatementOutput.js.map